using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Marco.Pms.DataAccess.Migrations
{
    /// <inheritdoc />
    public partial class Added_IsAttachmentRequried_Parameter_In_ExpensesTypeMaster_Table : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<bool>(
                name: "IsAttachmentRequried",
                table: "ExpensesTypeMaster",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false);

            migrationBuilder.UpdateData(
                table: "DocumentCategoryMasters",
                keyColumn: "Id",
                keyValue: new Guid("2d9fb9cf-db53-476b-a452-492e88e2b51f"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 12, 7, 6, 13, 429, DateTimeKind.Utc).AddTicks(3323));

            migrationBuilder.UpdateData(
                table: "DocumentCategoryMasters",
                keyColumn: "Id",
                keyValue: new Guid("cfbff269-072b-477a-b48b-72cdc57dd1d3"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 12, 7, 6, 13, 429, DateTimeKind.Utc).AddTicks(3316));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("07ca7182-9ac0-4407-b988-59901170cb86"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 3, 10, 46, 49, 955, DateTimeKind.Utc));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("16c40b80-c207-4a0c-a4d3-381414afe35a"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 3, 10, 46, 49, 955, DateTimeKind.Utc));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("260abd7e-c96d-4ae4-a29b-9b5bb5d24ebd"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 3, 10, 46, 49, 955, DateTimeKind.Utc));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("2d1d7441-46a8-425e-9395-94d0956f8e91"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 3, 10, 46, 49, 955, DateTimeKind.Utc));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("336225ac-67f3-4e14-ba7a-8fad03cf2832"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 3, 10, 46, 49, 955, DateTimeKind.Utc));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("5668de00-5d84-47f7-b9b5-7fefd1219f05"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 3, 10, 46, 49, 955, DateTimeKind.Utc));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("6344393b-9bb1-45f8-b620-9f6e279d012c"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 3, 10, 46, 49, 955, DateTimeKind.Utc));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("7cc41c91-23cb-442b-badd-f932138d149f"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 3, 10, 46, 49, 955, DateTimeKind.Utc));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("846e89a9-5735-45ec-a21d-c97f85a94ada"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 3, 10, 46, 49, 955, DateTimeKind.Utc));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("a1a190ba-c4a8-432f-b26d-1231ca1d44bc"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 3, 10, 46, 49, 955, DateTimeKind.Utc));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("f76d8215-d399-4f0e-b414-12e427f50be3"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 3, 10, 46, 49, 955, DateTimeKind.Utc));

            migrationBuilder.UpdateData(
                table: "ExpensesTypeMaster",
                keyColumn: "Id",
                keyValue: new Guid("1e2d697a-76b4-4be8-bc66-87144561a1a0"),
                column: "IsAttachmentRequried",
                value: true);

            migrationBuilder.UpdateData(
                table: "ExpensesTypeMaster",
                keyColumn: "Id",
                keyValue: new Guid("2de53163-0dbd-404b-8e60-1b02e6b4886a"),
                column: "IsAttachmentRequried",
                value: false);

            migrationBuilder.UpdateData(
                table: "ExpensesTypeMaster",
                keyColumn: "Id",
                keyValue: new Guid("4842fa61-64eb-4241-aebd-8282065af9f9"),
                column: "IsAttachmentRequried",
                value: true);

            migrationBuilder.UpdateData(
                table: "ExpensesTypeMaster",
                keyColumn: "Id",
                keyValue: new Guid("52484820-1b54-4865-8f0f-baa2b1d339b9"),
                column: "IsAttachmentRequried",
                value: true);

            migrationBuilder.UpdateData(
                table: "ExpensesTypeMaster",
                keyColumn: "Id",
                keyValue: new Guid("5e0c6227-d49d-41ff-9f1f-781f0aee2469"),
                column: "IsAttachmentRequried",
                value: true);

            migrationBuilder.UpdateData(
                table: "ExpensesTypeMaster",
                keyColumn: "Id",
                keyValue: new Guid("77013784-9324-4d8b-bd36-d6f928e68942"),
                column: "IsAttachmentRequried",
                value: true);

            migrationBuilder.UpdateData(
                table: "ExpensesTypeMaster",
                keyColumn: "Id",
                keyValue: new Guid("dd120bc4-ab0a-45ba-8450-5cd45ff221ca"),
                column: "IsAttachmentRequried",
                value: false);

            migrationBuilder.UpdateData(
                table: "ExpensesTypeMaster",
                keyColumn: "Id",
                keyValue: new Guid("fc59eb90-98ea-481c-b421-54bfa9e42d8f"),
                column: "IsAttachmentRequried",
                value: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "IsAttachmentRequried",
                table: "ExpensesTypeMaster");

            migrationBuilder.UpdateData(
                table: "DocumentCategoryMasters",
                keyColumn: "Id",
                keyValue: new Guid("2d9fb9cf-db53-476b-a452-492e88e2b51f"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 3, 10, 46, 49, 955, DateTimeKind.Utc).AddTicks(6233));

            migrationBuilder.UpdateData(
                table: "DocumentCategoryMasters",
                keyColumn: "Id",
                keyValue: new Guid("cfbff269-072b-477a-b48b-72cdc57dd1d3"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 3, 10, 46, 49, 955, DateTimeKind.Utc).AddTicks(6226));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("07ca7182-9ac0-4407-b988-59901170cb86"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 3, 10, 46, 49, 955, DateTimeKind.Utc).AddTicks(6307));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("16c40b80-c207-4a0c-a4d3-381414afe35a"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 3, 10, 46, 49, 955, DateTimeKind.Utc).AddTicks(6290));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("260abd7e-c96d-4ae4-a29b-9b5bb5d24ebd"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 3, 10, 46, 49, 955, DateTimeKind.Utc).AddTicks(6298));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("2d1d7441-46a8-425e-9395-94d0956f8e91"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 3, 10, 46, 49, 955, DateTimeKind.Utc).AddTicks(6286));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("336225ac-67f3-4e14-ba7a-8fad03cf2832"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 3, 10, 46, 49, 955, DateTimeKind.Utc).AddTicks(6275));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("5668de00-5d84-47f7-b9b5-7fefd1219f05"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 3, 10, 46, 49, 955, DateTimeKind.Utc).AddTicks(6319));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("6344393b-9bb1-45f8-b620-9f6e279d012c"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 3, 10, 46, 49, 955, DateTimeKind.Utc).AddTicks(6282));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("7cc41c91-23cb-442b-badd-f932138d149f"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 3, 10, 46, 49, 955, DateTimeKind.Utc).AddTicks(6314));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("846e89a9-5735-45ec-a21d-c97f85a94ada"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 3, 10, 46, 49, 955, DateTimeKind.Utc).AddTicks(6311));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("a1a190ba-c4a8-432f-b26d-1231ca1d44bc"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 3, 10, 46, 49, 955, DateTimeKind.Utc).AddTicks(6302));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("f76d8215-d399-4f0e-b414-12e427f50be3"),
                column: "CreatedAt",
                value: new DateTime(2025, 9, 3, 10, 46, 49, 955, DateTimeKind.Utc).AddTicks(6295));
        }
    }
}
